Support » Fixing WordPress » Database Update required causes server error

  • Resolved nige mcilwaine

    (@nige-mcilwaine)


    Hi,

    When I try and visit https://ajmilitary.com/wp-admin I am getting the ‘Database Update required’ page, which is non problem usually, but this time, on clicking the Update WordPress Database button I am getting an Internal Server Error after a minute or so.

    This means I cannot get into the backend of the site or anything.

    The hosts are being of no help what so ever, any insight would be greatly appreciated.

    cheers

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • nige mcilwaine

    (@nige-mcilwaine)

    After checking phpmyadmin the database versions in the database and the version.php file dont match. The db version in the versions.php is 43764 the wp version 5.

    In the database the WP_Options table show the version as 38590. I am guessing this is the problem, but what can I do about it?!

    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    What is the server error? Look in the error logs.

    wp-muhkiainen

    (@toppahattu)

    Is database limit full in your host server?

    nige mcilwaine

    (@nige-mcilwaine)

    @otto42 I have asked for this so I can share it with you.

    @toppahattu I have also asked this from the hosts.

    I will let you know what they say.

    Thanks you for your help.

    Incidently, the hosts said try deactivating all the plugins and see it that gets you past the issue. Trouble is, I dont want to get past the issue I want to solve the issue, I want the database versions to be correct?!

    Also when I renamed the plugins folder to deactivate them, nothing really happened at the fon end of the site, it still looked the same, surely that’s not right?! Deactivating the plugins should at least stop the hero slider at the top from appearing?!

    cheers

    nige mcilwaine

    (@nige-mcilwaine)

    Hi,

    This is the error log:

    [2019-01-08 03:53:48] [authz_core:error] [client 178.63.87.197:0] AH01630: client denied by server configuration: /mnt/web/ns/std/8/8/1/ajmilitary.com/web/robots.txt
    [2019-01-08 08:34:08] [core:error] [client 80.2.31.150:0] End of script output before headers: php55-cgi, referer https://ajmilitary.com/wp-admin/upgrade.php?_wp_http_referer=%2Fwp-admin%2F
    [2019-01-08 08:37:23] [core:error] [client 80.2.31.150:0] End of script output before headers: php55-cgi, referer https://ajmilitary.com/wp-admin/upgrade.php?_wp_http_referer=%2Fwp-admin%2F
    [2019-01-08 09:17:09] [core:error] [client 31.193.142.117:0] End of script output before headers: php55-cgi, referer https://ajmilitary.com/wp-admin/upgrade.php?_wp_http_referer=%2Fwp-admin%2F

    Sorry it doesn’t mean much to me. Does it offer any light on the issue?

    cheers

    Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    Correcting the database version involves getting the script to run properly, because that is what the script does.

    And if deactivating the plugins doesn’t change anything, then you have some heavy caching enabled. Find it, and disable it. Caching may be preventing you from actually running the update script.

    nige mcilwaine

    (@nige-mcilwaine)

    Hi @otto42

    You, my friend, are a genius!

    Deactivated W3 Total Cache via ftp and Database updated with no problems, straightaway.

    Thanks Again for your help.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Database Update required causes server error’ is closed to new replies.